
TYPO3.Flow - Bug # 1349

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: MVC
Created: 2008-08-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Remove MVC\View\Template (was: Method MVC\View\Template->substitutePart is not used and empty)
Description

Hello,

I think that the method F3_FLOW3_MVC_View_Template->substitutePart can be removed, as it looks like the following:

    /**
     * Substitutes a subpart in $content with the content of $subpartContent.
     *
     * @param string Content with subpart wrapped in fx. "###CONTENT_PART###" inside.
     * @param string Marker string, eg. "###CONTENT_PART###" 
     * @param array
     * @return string Processed input content
     * @author Robert Lemke <robert@typo3.org>
     */
    protected function substitutePart($subject, $marker, $replacement) {
    }

Related issues:
related to TYPO3.Flow - Feature # 3382: Make Fluid the default templating eng... Resolved 2009-05-19

Associated revisions
Revision bb72757e - 2009-05-19 11:55 - Karsten Dambekalns
FLOW3:
    -  removed MVC\View\Template, fixes #1349

History
#1 - 2009-02-25 20:30 - Karsten Dambekalns
- Subject changed from Method F3_FLOW3_MVC_View_Template->substitutePart is not used and empty to Remove MVC\View\Template (was: 
Method MVC\View\Template->substitutePart is not used and empty)
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Probably the MVC\View\Template class could be removed completely. It is very bare-bones and Fluid will be used for TYPO3v5 anyway (and we
should promote one standard for the time being). The only reason to keep the marker-style would be to cater for the needs of some old-school
developers. But will those make the switch?
#2 - 2009-05-16 19:32 - Robert Lemke
- Target version set to 1.0 alpha 1

#3 - 2009-05-19 11:53 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted

#4 - 2009-05-19 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2250.
